Alokai

SapccApiSearchComponentsByIdsRequest

Request parameters for searchComponentsByIds operation in SapccApi. SapccApiSearchComponentsByIdsRequest

interface SapccApiSearchComponentsByIdsRequest {
	readonly baseSiteId: string;
	readonly catalogCode?: string;
	readonly categoryCode?: string;
	readonly componentIDList: ComponentIDList;
	readonly currentPage?: number;
	readonly fields?: SearchComponentsByIdsFieldsEnum;
	readonly pageSize?: number;
	readonly productCode?: string;
	readonly sort?: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiSearchComponentsByIds
catalogCodeOptionalstringCatalog code {string} SapccApiSearchComponentsByIds
categoryCodeOptionalstringCategory code {string} SapccApiSearchComponentsByIds
componentIDListRequiredComponentIDList{ComponentIDList} SapccApiSearchComponentsByIds
currentPageOptionalnumberCurrent result page. Default value is 0. {number} SapccApiSearchComponentsByIds
fieldsOptionalSearchComponentsByIdsFieldsEnumResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC, DEFAULT, FULL. {'BASIC' | 'DEFAULT' | 'FULL'} SapccApiSearchComponentsByIds
pageSizeOptionalnumberNumber of results returned per page. Default value: 10. {number} SapccApiSearchComponentsByIds
productCodeOptionalstringProduct code {string} SapccApiSearchComponentsByIds
sortOptionalstringSorting method applied to the return results. {string} SapccApiSearchComponentsByIds

Referenced Types

On this page